Page MenuHomePhabricator

Additional Information: Monthly New Editors Report
Closed, ResolvedPublic

Description

These are the points the need to be added to the existing monthly report:

  • a continually updated table with the following rows: user name, campaign user registered, timestamp: made one edit, timestamp: reached 10. edit
  • monthly updated graph which shows how many users reached the 10. edit per campaign. (similar to the picture below)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 12:58 PM

@GoranSMilovanovic Unfortunately the report is a bit urgent, we are working on our quarterly report.

If it is more work than is possible to do until the 20th March I would be happy enough with one piece of information (and postpone the monthly report):

How many users (who came via our campaigns) reached their 10th edit in 2018?

@Verena I will take care of that particular question

How many users (who came via our campaigns) reached their 10th edit in 2018?

immediately, but I will not be able to focus on the New Editors Report to encompass all desired changes in the ticket description until next week.

Getting back to you ASAP.

@Stefan_Schneider_WMDE @Verena by the way

... a continually updated table with the following rows: user name, campaign user registered, timestamp: made one edit, timestamp: reached 10. edit

user name is private data and I don't think you can have it in any public reports.

@Verena The answer to your question is: nine (9). Now, to make this sound less like "42", a table is attached with the following columns: (1) the timestamp of the 10th edit, (2) the Banner Campaign, (3) the timestamp of user registration. Please let me know if you need additional information.

The incorporation of the data and charts described in this ticket into the New Editors Report will take place during the following week.

Thank you Goran, that is what I need.

@Stefan_Schneider_WMDE @Verena by the way

... a continually updated table with the following rows: user name, campaign user registered, timestamp: made one edit, timestamp: reached 10. edit

user name is private data and I don't think you can have it in any public reports.

@GoranSMilovanovic
Yeah - you can send the list as an E-Mail to Verena. We will store the information in our internal organizational file system.

@GoranSMilovanovic Are you on it? I need some of the numbers...

GoranSMilovanovic triaged this task as High priority.Sep 25 2018, 4:13 PM
GoranSMilovanovic added a comment.EditedSep 25 2018, 6:29 PM

@Verena @Stefan_Schneider_WMDE

Monthly edits per month AND accumulated of the following groups

  • newly registered users per campaign
  • all other registered users

Timeframe: from beginning 2017 - end of time

NOTE: the y-axis (edit counts) are given on a logarithmic scale, but the numbers next to the data points are absolute values.

Total number of edits per campaign charted:

@Verena @Stefan_Schneider_WMDE

number of users per campaign of the following groups

  • 1 edit
  • 2-4 edits
  • 5-9 edits
  • 10-49 edits
  • >50 edits

GoranSMilovanovic added a subscriber: Lea_WMDE.EditedSep 25 2018, 9:02 PM

@Verena @Stefan_Schneider_WMDE

Time users need to get to the 10. Edit of the following groups

  • newly registered users per campaign
  • all other registered users

NOTE. The median time difference of 0 months between user registration and the 10th edit for the Summer 2018 campaign is probably a consequence of the fact that I work with the data set of a monthly time resolution here, with August 2018 being the newest data point.

Time users need to get to the 50. Edit of the following groups

  • newly registered users per campaign
  • all other registered users

@Stefan_Schneider_WMDE for the following

  • users that started a training module
  • users that started and finished a training module

you will have to give me some time because I need to re-create the matches between (a) the Training Module data sets and (b) the campaign data sets.

NOTE. All of the results delivered here are approximate in the following sense; I am using the aggregated Editor month dataset which helps me to speed up the work considerably (and which I have discovered only today, thanks to @Lea_WMDE), and as with almost every data aggregation that we have not every data point falls in line with the data points obtained from other sources.

@Verena @Stefan_Schneider_WMDE My apologies for this not being completed in a timely manner. Responsibility is solely mine: I have placed a reminder to myself only on Phab, missed to enter the deadline to my Calendar, and then consequently missed the deadline. I hope the results delivered thus far are useful for internal reporting at least.

@GoranSMilovanovic Thank you for the data! Is it right, that there are 118 Users in the spring campaign 2018 that reached 50 or more edits? That is unbelievably high :) And thus awesome if this is really true. It's just hard to believe that :)

@Stefan_Schneider_WMDE I have to admit that I was already very tired when I've submitted the results and that I am also surprised to learn. Please let me double check that for you. I will cross-validate the result by fetching the data directly ftom the dewiki.revision table, and not the derivative monthly aggregate.

@Stefan_Schneider_WMDE To report back on what I have now: the counts for edits >= 50 (and thus most probably for edits >= 10) for the campaigns are certainly incorrect; working now to find out what has caused the discrepancy.

@Stefan_Schneider_WMDE Here are the corrected, much more realistically looking data.

The error streamed from the fact that I didn't take into account the edits = 0 category, causing the R script to count it under an else condition and thus resulting in a >= 50 edits category count; a straightforward bug, in other words.

GoranSMilovanovic lowered the priority of this task from High to Medium.Sep 27 2018, 12:43 AM

@GoranSMilovanovic Thanks for the double check and what a pity that the data is not that good.

Further Question: Does the mistake only affect the data above the 50. edit? Or could there be some mistakes in the graphs too?

@Stefan_Schneider_WMDE The bug should not have affected anything else, but if something in particular looks suspicious to you: please let me know immediately.

The results are approximate as described in T189298#4616928; however, I do not think that the whatever margin of error was introduced by mismatches between the data sources that I've have here used could have caused an effect strong enough to blur our judgment about the effectiveness of the campaigns.

Thank you. I just added to numbers to our internal report.

A fact which is very interesting is the time users need to reach their 10th edit:

@Verena @Stefan_Schneider_WMDE

Time users need to get to the 10. Edit of the following groups

  • newly registered users per campaign
  • all other registered users

I assume the numbers are correct and was surprised, that users need such a long time to reach their 10th edit without our help. (Just a comment, no further investigation needed for now.)

@Verena

I was surprised to learn that too. Once again: in spite of the fact that the results are somewhat approximate, for the reasons already described, the difference between the time needed to reach the 10th edit between the campaign registered users and those who register spontaneously could not be that large if it was not a consequence of a real, existing effect. I am eyeballing here, I did not conduct any statistical tests, but given the sample sizes and the fact that any reasonable test in this context would be fairly simple, I think I can safely conclude this without any further testing. In my opinion, this is probably the most important effect of our campaigns that we have learned about thus far, or at least since I've started doing analytics for you.

@GoranSMilovanovic Hi Goran, as stated in the doc we would need a monthly report for some metrics. In this respect this is a ongoing task that requires a monthly update. Maybe we can check, how we will proceed here, when you are personally here and then decide what to do with this task.

What do you say?

@Stefan_Schneider_WMDE Fine with me, then. We can either keep this is a permanent ticket, or decide to automate the respective report when we meet in Berlin.

  • All necessary data for the analytics as demanded in the doc are in place;
  • Outputs will be served from the WMDE Banner Campaign dashboard (#T209055);
  • The dashboard will be available for testing as of Monday, 3rd December.
GoranSMilovanovic closed this task as Resolved.Dec 3 2018, 12:18 PM
  • Since the WMDE New Editors Dashboard is now operational,
  • and since all standardized analytics for this team will be served there from now on,
  • comments and suggestions on any new features or analytical outputs should be placed on T209055;
  • closing this task.

Thank you.